.chat__container {
  position: relative;
  margin-top: 4em;
  border-radius: 30px;
  box-shadow: var(--shadow)
}

transition>.chat__container {
  opacity: 0
}

.chat__header {
  display: flex;
  justify-content: space-between;
  grid-gap: 30px;
  border-radius: 30px 30px 0 0;
  padding: 30px;
  background: #fff
}

.chat__header-block {
  display: flex;
  align-items: flex-start;
  flex: 1 1
}

.chat__header-ico {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
  width: 48px;
  height: 48px;
  margin: auto 16px auto 0;
  border-radius: 100%;
  overflow: hidden;
  background-color: #f8f8f8
}

.chat__header-ico img,
.chat__header-ico svg {
  width: 36px;
  height: 36px
}

.chat__header-text {
  color: #333;
  font-size: 14px;
  line-height: 145%;
  margin: auto 0
}

@media screen and (max-width:767px) {
  .chat__header {
    display: block;
    grid-gap: 0;
    padding: 18px
  }
}

.chat__body {
  background: rgba(242, 242, 242, .9);
  border-radius: 0 0 30px 30px;
  padding: 30px
}

@media screen and (max-width:767px) {
  .chat__body {
    padding: 18px
  }
}

@media (max-width:480px) {
  .chat__container {
    margin-top: 2em
  }
}

.bot {
  display: flex;
  align-items: center
}

.bot__info {
  position: fixed;
  left: 0;
  top: -100%;
  width: 100%;
  transition: top .4s;
  z-index: 10
}

.bot__info.visible {
  top: 0
}

.bot__wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #fff;
  padding: 16px 30px;
  box-shadow: var(--shadow)
}

.bot__img {
  flex-shrink: 0;
  border-radius: 100%
}

.bot__text {
  margin: auto 0 auto 1em
}

.bot__name {
  position: relative;
  font-size: 16px;
  line-height: 148%;
  font-weight: 600
}

.bot__call {
  flex-shrink: 0
}

@media (max-width:768px) {
  .bot__wrapper {
    padding: 10px 16px
  }
}

@media (max-width:600px) {
  .bot__img {
    width: 32px;
    height: 32px
  }

  .bot__name {
    font-size: 14px
  }

  .bot__text {
    font-size: 12px
  }

  .bot__call span {
    display: none
  }
}

@media (max-width:480px) {
  .bot__wrapper {
    padding: 10px
  }
}

.message:not(:first-child) {
  margin-top: 16px
}

.message-group {
  display: flex;
  grid-gap: 16px;
  margin-top: 24px;
  min-height: 60px
}

.message-group:first-child {
  margin-top: 0
}

.message--user {
  flex-direction: row-reverse
}

.message__cont {
  margin-top: 16px;
  max-width: 700px
}

.message__cont:first-child {
  margin-top: 0
}

.message__write {
  margin: .75em;
  max-width: 560px;
  color: #999
}

@-webkit-keyframes blink {
  50% {
    fill: transparent
  }
}

@keyframes blink {
  50% {
    fill: transparent
  }
}

.message__write .dots {
  vertical-align: bottom;
  color: grey
}

.message__write .dot {
  -webkit-animation: 1s infinite blink;
  animation: 1s infinite blink;
  fill: grey
}

.message__write .dot:nth-child(2) {
  -webkit-animation-delay: 250ms;
  animation-delay: 250ms
}

.message__write .dot:nth-child(3) {
  -webkit-animation-delay: .5s;
  animation-delay: .5s
}

.message__img {
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 100%;
  overflow: hidden;
  width: 60px;
  height: 60px;
  flex-shrink: 0;
  margin-top: 12px
}

.message__img--empty {
  opacity: 0
}

.message__img img {
  display: block
}

.message__text {
  display: inline-block;
  vertical-align: top;
  position: relative;
  padding: 16px 24px;
  border-radius: var(--bd-rad);
  background: #fff;
  max-width: 560px;
  color: #666;
  font-size: 15px;
  line-height: 1.6;
  box-shadow: var(--shadow)
}

.message--user .message__text {
  background: #e9ffe2;
  padding-right: 40px
}

.message--bot .message__cont .message__text {
  border-radius: 0 12px 12px
}

.message--user .message__cont .message__text {
  border-radius: 12px 0 12px 12px
}

.message__status {
  position: absolute;
  right: 24px;
  bottom: 20px;
  height: 12px;
  width: 12px
}

.message__status:before {
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  width: 12px;
  height: 12px;
  background: url(/img/check.svg)
}

.message__status--readed:after {
  content: '';
  position: absolute;
  left: 5px;
  bottom: 0;
  width: 12px;
  height: 12px;
  background: url(/img/check.svg)
}

@media (max-width:600px) {
  .message:not(:first-child) {
    margin-top: 10px
  }

  .message-group {
    grid-gap: 10px;
    margin-top: 20px
  }

  .message-group:first-child {
    margin-top: 0
  }

  .message__cont {
    margin-top: 10px
  }

  .message__cont:first-child {
    margin-top: 0
  }

  .message__img {
    width: 32px;
    height: 32px
  }

  .message__text {
    padding: 10px 12px;
    font-size: 13px;
    line-height: 140%
  }

  .message__status {
    bottom: 13px;
    right: 20px
  }
}

.card-selector {
  display: block;
  position: relative;
  padding: 1.5em;
  border-radius: var(--bd-rad);
  box-shadow: var(--shadow);
  background-color: #fff;
  cursor: pointer;
  transition: background .4s, box-shadow .4s
}

.card-selector__container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-gap: 8px
}

.card-selector__input {
  position: absolute;
  visibility: hidden;
  width: 0;
  height: 0;
  top: 0;
  left: 0
}

.card-selector__img {
  display: block;
  margin-bottom: .5em
}

.card-selector__name {
  display: block;
  font-size: 16px;
  line-height: 132%;
  font-weight: 500
}

.card-selector__text {
  display: block;
  color: #828282;
  margin-top: 6px;
  font-size: 16px;
  line-height: 148%;
  font-weight: 300;
  white-space: nowrap
}
.card-selector__price {
  display: block;
  color: #828282;
  font-size: 16px;
  line-height: 148%;
  font-weight: 300;
  white-space: nowrap
}

.card-selector__border {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  border-radius: var(--bd-rad);
  border: 3px solid var(--main);
  opacity: 0;
  -webkit-transform: scale(1.1);
  transform: scale(1.1);
  transition: opacity .3s, transform .2s, -webkit-transform .2s
}

.card-selector__input:checked~.card-selector__border {
  opacity: 1;
  -webkit-transform: scale(1);
  transform: scale(1)
}

.card-selector__input:checked~.card-selector__border:after {
  content: '';
  position: absolute;
  top: -1em;
  right: -1em;
  width: 2em;
  height: 2em;
  border-radius: 100%;
  background: url(/img/check-white.svg) center center/1em no-repeat;
  background-color: var(--main)
}

.card-selector:hover {
  box-shadow: 0 4px 24px rgba(60, 60, 60, .4)
}

@media (max-width:620px) {
  .card-selector {
    margin-bottom: .5em
  }

  .card-selector__container {
    grid-template-columns: 1fr;
  }

  .card-selector__img {
    margin: 0 auto .5em
  }

  .card-selector__name {
    font-size: 15px
  }
}

@media (max-width:360px) {
  .card-selector {
    padding: .5em 1em
  }

  .card-selector__name {
    font-size: 13px
  }
}

.color-selector {
  position: relative;
  margin: 12px 12px 0 0
}

.color-selector input {
  position: absolute;
  visibility: hidden;
  width: 0;
  height: 0;
  top: 0;
  left: 0
}

.color-selector__item {
  display: inline-flex;
  padding: .75em 1.5em;
  border-radius: var(--bd-rad);
  box-shadow: var(--shadow);
  background-color: #fff;
  cursor: pointer;
  transition: background .4s
}

.color-selector__ico {
  position: relative;
  display: inline-block;
  width: 24px;
  height: 24px;
  margin: auto .5em auto 0;
  border-radius: .5em;
  overflow: hidden;
  background-size: cover;
  flex-shrink: 0
}

.color-selector__text {
  font-size: 14px;
  line-height: 24px
}

input:checked~.color-selector__item {
  background-color: var(--main)
}

.darkMainColor input:checked~.color-selector__item .color-selector__text {
  color: #fff
}

@media (max-width:480px) {
  .color-selector__text {
    font-size: 12px;
    line-height: 1.4
  }
}

.slide-fade-bot-enter {
  -webkit-transform: translateX(-20px);
  transform: translateX(-20px);
  opacity: 0
}

.slide-fade-bot-enter-active {
  transition: opacity .5s ease-out, transform .5s ease-out, -webkit-transform .5s ease-out
}

.slide-fade-bot-enter-to-class {
  opacity: 1
}

.slide-fade-user-enter {
  -webkit-transform: translateX(20px);
  transform: translateX(20px);
  opacity: 0
}

.slide-fade-user-enter-active {
  transition: opacity .5s ease-out, transform .5s ease-out, -webkit-transform .5s ease-out
}

.slide-fade-user-enter-to-class {
  opacity: 1
}

.messenger-start-enter {
  -webkit-transform: translateY(40px) scale(.8);
  transform: translateY(40px) scale(.8);
  opacity: 0
}

.messenger-start-enter-active {
  transition: opacity .5s ease-out .5s, transform .6s ease-out .5s, -webkit-transform .6s ease-out .5s
}

.messenger-start-enter-to-class {
  opacity: 1
}

.haeder-start-enter {
  -webkit-transform: translateY(-40px);
  transform: translateY(-40px);
  opacity: 0
}

.haeder-start-enter-active {
  transition: opacity .5s ease-out, transform .3s ease-out, -webkit-transform .3s ease-out
}

.haeder-start-enter-to-class {
  opacity: 1
}

.modal-open-enter {
  opacity: 0
}

.modal-open-enter-active {
  transition: opacity .2s ease-out
}

.modal-open-enter-to-class {
  opacity: 1
}